Package org.apache.sysds.runtime.compress.colgroup.indexes

## Interface ColIndexFactory

    public interface ColIndexFactory

### Method Summary

Static Methods
`static IColIndex` `combine​(List<AColGroup> gs)`
`static IColIndex` `create​(int nCol)`
`static IColIndex` `create​(int[] indexes)`
`static IColIndex` `create​(int l, int u)`
`static IColIndex` `create​(IntArrayList indexes)`
`static long` `estimateMemoryCost​(int nCol, boolean contiguous)`
`static IColIndex` `read​(DataInput in)`

### Method Detail

#### read

    static IColIndex read​(DataInput in)
                   throws IOException

Throws:
  `IOException`

#### create

    static IColIndex create​(int[] indexes)

#### create

    static IColIndex create​(IntArrayList indexes)

#### create

    static IColIndex create​(int l,
                            int u)

#### create

    static IColIndex create​(int nCol)

#### estimateMemoryCost

    static long estimateMemoryCost​(int nCol,
                                   boolean contiguous)

#### combine

    static IColIndex combine​(List<AColGroup> gs)